DCMTK - Bug #379

Problematic Warnings (gcc 4.4.5)
2010-12-15 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: High Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: demqrdb & Co. Compiler: gcce
Operating System: Linux

Description

reported on gcc 4.4.5 / Ubuntu 10.30 Linux during the cross platform testing phase

c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -l. -I. - |../include -1../../config/include
-I../../demnet/include - |../../dcmdata/include -l../../ofstd/include -I../../oflog/include \ -O -l/usr/include/libxml2 -D_REENTRANT -
D_XOPEN_SOURCE_EXTENDED -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_BSD_COMPAT - D_OSF_SOURCE
-D_POSIX_C_SOURCE=199506L -Wall dcmgrcnf.cc decmgrenf.cc: In member function ‘int
DcmQueryRetrieveConfig::readConfigLines(FILE*)': dcmgrenf.cc:242: warning: ignoring return value of ‘char* fgets(char*, int, FILE*)’,
declared with attribute warn_unused_result dcmgrenf.cc: In member function ‘int DecmQueryRetrieveConfig::readHostTable(FILE®,
int*)": demgrenf.cc:364: warning: ignoring return value of ‘char* fgets(char*, int, FILE*)’, declared with attribute warn_unused_result
dcmarenf.cc: In member function ‘int DemQueryRetrieveConfig::readVendorTable(FILE®, int*)’: dcmqrenf.cc:420: warning: ignoring
return value of ‘char” fgets(char*, int, FILE*)’, declared with attribute warn_unused_result dcmgrcnf.cc: In member function ‘int
DcmQueryRetrieveConfig::readAETable(FILE*, int*)’: decmqrenf.cc:476: warning: ignoring return value of ‘char* fgets(char*, int,
FILE*), declared with attribute warn_unused_result c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I. -I.
- |../include -1../../config/include -I../../dcmnet/include - I../../dcmdata/include -l../../ofstd/include -I../../oflog/include \ -O
-l/usr/include/libxml2 -D_REENTRANT - D_XOPEN_SOURCE_EXTENDED -D_XOPEN_SOURCE=500 -D_BSD_SOURCE
-D_BSD_COMPAT - D_OSF_SOURCE -D_POSIX_C_SOURCE=199506L -Wall dcmqrdbi.cc dcmqrdbi.cc: In member function
‘OFCondition DcmQueryRetrievelndexDatabaseHandle::instanceReviewed(int)’': dcmqrdbi.cc:3382: warning: ignoring return value of
‘ssize_t write(int, const void*, size_t)’, declared with attribute warn_unused_result

There are also similar reports for the non-public module (e.g. 'dcmprint’)

Related issues:
Related to DCMTK - Patch #582: Proposed patch to remove -Wunused-result warni... Closed 2013-11-28

History

#1 - 2013-04-23 10:21 - Andrew Chiw

Possibly problematic warnings (gcc 4.4.5)
Description

reported on gcc 4.4.5 / Ubuntu 10.30 Linux during the cross platform testing phase

c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I. -1. - I../include -I../../config/include -I../../dcmnet/include -
I../../dcmdata/include -I../../ofstd/include -I../../oflog/include \ -O -l/usr/include/libxml2 -D_REENTRANT - D_XOPEN_SOURCE_EXTENDED
-D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_BSD_COMPAT - D_OSF_SOURCE -D_POSIX_C_SOURCE=199506L -Wall dcmqrcnf.cc
dcmgrenf.cc: In member function ‘int DecmQueryRetrieveConfig::readConfigLines(FILE*)": dcmgrenf.cc:242: warning: ignoring return value of ‘char*
fgets(char*, int, FILE*)’, declared with attribute warn_unused_result dcmgrenf.cc: In member function ‘int
DcmQueryRetrieveConfig::readHostTable(FILE*, int*)’: decmqgrenf.cc:364: warning: ignoring return value of ‘char* fgets(char®, int, FILE*)’, declared with
attribute warn_unused_result dcmgrenf.cc: In member function ‘int DecmQueryRetrieveConfig::readVendorTable(FILE*, int*)’: demgrenf.cc:420:
warning: ignoring return value of ‘char* fgets(char*, int, FILE*)’, declared with attribute warn_unused_result dcmqgrcnf.cc: In member function ‘int
DcmQueryRetrieveConfig::readAETable(FILE*, int*)’: demqrenf.cc:476: warning: ignoring return value of ‘char* fgets(char*, int, FILE*)’, declared with
attribute warn_unused_result c++ -DHAVE_CONFIG_H -DUSE_NULL_SAFE_OFSTRING -DNDEBUG -c -I. -I. - I../include -I../../config/include
-I../../dcmnet/include - I../../dcmdata/include -I../../ofstd/include -I../../oflog/include \ -O -l/usr/include/libxmI2 -D_REENTRANT -
D_XOPEN_SOURCE_EXTENDED -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_BSD_COMPAT - D_OSF_SOURCE
-D_POSIX_C_SOURCE=199506L -Wall dcmgrdbi.cc dcmqrdbi.cc: In member function ‘OFCondition
DcmQueryRetrievelndexDatabaseHandle::instanceReviewed(int)’: dcmqrdbi.cc:3382: warning: ignoring return value of ‘ssize_t write(int, const void*,
size_t)’, declared with attribute warn_unused_result

There are also similar reports for the non-public module (e.g. 'decmprint’)

#2 - 2013-04-28 22:48 - Andrew Chiw
- Subject changed from Méglicherweise problematische Warnings (gcc 4.4.5) to Problematic Warnings (gcc 4.4.5)

#3 - 2016-11-16 15:30 - Marco Eichelberg
- Assignee set to Marco Eichelberg

#4 - 2016-11-24 13:39 - Marco Eichelberg

- Status changed from New to Closed

The warnings have apparently been fixed by some commit meanwhile, as they do not occur anymore (tested commit 30a9cae with gcc 4.4.5 and
-Wall).

#5 - 2016-11-24 13:48 - Jorg Riesmeier

- Target version set to 3.6.2

- Category set to Library

- Status changed from Closed to Reopened

No, unfortunately, they are not fixed. It seems that the gcc on your system (caesar) is not built with the same configuration options as on the system
that has been used by the reporter of this bug (me). Maybe, calling gcc with Option -Wunused-result helps :)

PS: -Wall does not enable all warnings.

#6 - 2016-11-25 08:59 - Marco Eichelberg

- Assignee changed from Marco Eichelberg to Jorg Riesmeier

#7 - 2016-11-25 17:33 - Jorg Riesmeier

- Status changed from Reopened to Closed
- % Done changed from 0 to 100

- Operating System set to Linux

- Compiler set to gcc

Finally closed. See commit e598abe and 5b95b6e.
